# 81. Query: Get GeoJSON of "EquationMap"

Get GeoJSON of "EquationMaps" filtered by `equationMapUuids`.

The attribute `equationMapGeojson` contains GeoJSON with the `Polygons` or `MultyPolygons` including the geospatial feature attributes like `id`, `value` and `area` in the defined units.

Key details:

* Parameter `asMultiGeometry: true` means that the `Polygons` ("Equation Map" cells) will be merged into `MultiPolygons` based on the `value` attribute of every "Equation Map" cell.
* The output area can be configured using the `unit` parameter. Available options: `ACRES`,  `HECTARES`, `SQUARE_METERS`

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetEquationMapGeometries {
  getFields (filter: {fieldUuid: "<placeholder_of_farm_uuid>"}) {
    fields {
      equationMaps(equationMapUuids: ["<placeholder_of_equationmap_uuid>"]) {
        equationMapGeojson(unit: HECTARES, asMultiGeometry: true)        
      }
    }
  }
}
```

{% endcode %}

If geometries are not requested (only attributes are required), then there is `attributesJson` instead of `equationMapGeojson` to use.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetEquationMapAttributes {
  getFields (filter: {fieldUuid: "<placeholder_of_farm_uuid>"}) {
    fields {
      equationMaps(equationMapUuids: ["<placeholder_of_equationmap_uuid>"]) {
        attributesJson(unit: HECTARES, asMultiGeometry: true)        
      }
    }
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/api-docs/geopard-api-requests-overview/81.-query-get-geojson-of-equationmap.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
